StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Enumerations | Functions
starpu_worker.h File Reference
`#include <stdlib.h>`
`#include <starpu_config.h>`

Go to the source code of this file.

## Data Structures
struct | starpu_sched_ctx_iterator
struct | starpu_worker_collection

## Enumerations
enum | starpu_worker_archtype { STARPU_ANY_WORKER, STARPU_CPU_WORKER, STARPU_CUDA_WORKER, STARPU_OPENCL_WORKER }
enum | starpu_worker_collection_type { STARPU_WORKER_LIST }

## Functions
unsigned | starpu_worker_get_count (void)
unsigned | starpu_combined_worker_get_count (void)
unsigned | starpu_worker_is_combined_worker (int id)
unsigned | starpu_cpu_worker_get_count (void)
unsigned | starpu_cuda_worker_get_count (void)
unsigned | starpu_opencl_worker_get_count (void)
int | starpu_worker_get_id (void)
int | starpu_combined_worker_get_id (void)
int | starpu_combined_worker_get_size (void)
int | starpu_combined_worker_get_rank (void)
enum starpu_worker_archtype | starpu_worker_get_type (int id)
int | starpu_worker_get_count_by_type (enum starpu_worker_archtype type)
int | starpu_worker_get_ids_by_type (enum starpu_worker_archtype type, int *workerids, int maxsize)
int | starpu_worker_get_by_type (enum starpu_worker_archtype type, int num)
int | starpu_worker_get_by_devid (enum starpu_worker_archtype type, int devid)
void | starpu_worker_get_name (int id, char *dst, size_t maxlen)
int | starpu_worker_get_devid (int id)
int | starpu_worker_get_nsched_ctxs (int workerid)